id3lib 3.8.3

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ID3_OFStreamWriter Class Reference

`#include <writers.h>`

Inheritance diagram for ID3_OFStreamWriter:

## Public Member Functions
| ID3_OFStreamWriter (ofstream &writer)
virtual void | close ()
| Close the writer. More...
Public Member Functions inherited from ID3_OStreamWriter
| ID3_OStreamWriter (ostream &writer)
virtual | ~ID3_OStreamWriter ()
virtual void | flush ()
| Flush the writer. More...
virtual int_type | writeChar (char_type ch)
| Write a single character and advance the internal position. More...
virtual size_type | writeChars (const char buf[], size_type len)
| Write up to `len` chars into buf and advance the internal position accordingly. More...
virtual size_type | writeChars (const char_type buf[], size_type len)
| Write up to `len` characters into buf and advance the internal position accordingly. More...
virtual pos_type | getBeg ()
| Return the beginning position in the writer. More...
virtual pos_type | getCur ()
| Return the next position that will be written to. More...
Public Member Functions inherited from ID3_Writer
virtual pos_type | getEnd ()
| Return the first position that can't be written to. More...
virtual size_type | getSize ()
| Return the number of bytes written. More...
virtual size_type | getMaxSize ()
| Return the maximum number of bytes that can be written. More...
virtual bool | atEnd ()

## Additional Inherited Members
Public Types inherited from ID3_Writer
typedef uint32 | size_type
typedef uint8 | char_type
typedef uint32 | pos_type
typedef int32 | off_type
typedef int16 | int_type
Static Public Attributes inherited from ID3_Writer
static const int_type | END_OF_WRITER = -1
Protected Member Functions inherited from ID3_OStreamWriter
ostream & | getWriter () const

## Detailed Description

Definition at line 72 of file writers.h.

## Constructor & Destructor Documentation

ID3_OFStreamWriter::ID3_OFStreamWriter | ( | ofstream & | writer | ) |
| inline

Definition at line 76 of file writers.h.

## Member Function Documentation

virtual void ID3_OFStreamWriter::close | ( |  | ) |
| inline virtual

Close the writer.

Any further actions on the writer should fail.

Reimplemented from ID3_OStreamWriter.

Definition at line 79 of file writers.h.

The documentation for this class was generated from the following file:

- include/id3/writers.h